<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.mylar.tests.project2"
   name="Project2 Plug-in"
   version="1.0.0"
   provider-name=""
   class="org.eclipse.mylar.tests.project2.Project2Plugin">

   <runtime>
      <library name="project2.jar"/>
   </runtime>

   <requires>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.core.resources"/>
   </requires>

   <extension
         id="sampleBuilder"
         name="Sample Project Builder"
         point="org.eclipse.core.resources.builders">
      <builder
            hasNature="true">
         <run
               class="org.eclipse.mylar.tests.project2.builder.SampleBuilder">
         </run>
      </builder>
   </extension>
   <extension
         id="sampleNature"
         name="Sample Project Nature"
         point="org.eclipse.core.resources.natures">
      <runtime>
         <run
               class="org.eclipse.mylar.tests.project2.builder.SampleNature">
         </run>
      </runtime>
      <builder
            id="org.eclipse.mylar.tests.project2.sampleBuilder">
      </builder>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            adaptable="true"
            objectClass="org.eclipse.core.resources.IProject"
            nameFilter="*"
            id="org.eclipse.mylar.tests.project2.contribution1">
         <action
               label="Add/Remove Sample Nature"
               class="org.eclipse.mylar.tests.project2.builder.ToggleNatureAction"
               menubarPath="additions"
               enablesFor="+"
               id="org.eclipse.mylar.tests.project2.addRemoveNatureAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         id="xmlProblem"
         name="XML Problem"
         point="org.eclipse.core.resources.markers">
      <super
            type="org.eclipse.core.resources.problemmarker">
      </super>
      <persistent
            value="true">
      </persistent>
   </extension>

</plugin>
